pip install -r requirements.txt fails with Python 3.6 on Windows

Terry Reedy tjreedy at udel.edu
Mon Jan 2 23:48:48 EST 2017


On 1/3/2017 3:07 PM, Uri Even-Chen wrote:
> What are the reasons to upgrade Python to 3.6?

The same as for any new version:
New features  -- see What's New in 3.6. New bug fixes.
New performance improvements.

Reasons against:
The effort to make sure all dependencies are available for 3.6* Possible 
regressions.

* For Windows, any of the 381 wheels available from
http://www.lfd.uci.edu/~gohlke/pythonlibs/
should be available in 3.6 versions (unless there was a major problem in 
recompiling).

--
Terry Jan Reedy



More information about the Python-list mailing list